Security protection features

Security protection features copyright 2004 Symantec

Norton Internet Security includes a suite of security tools that help keep your computer safe from security threats and privacy intrusions.

Security protection features include:

Personal Firewall | Protects your computer from Internet attacks, dangerous Web content, port scans, and other suspicious behavior. About the Personal Firewall
Intrusion Detection | Scans each piece of information that enters and exits your computer and automatically blocks any Internet attacks. About Intrusion Detection
Outbreak Alert | Notifies you of rapidly spreading security threats that are affecting Internet users worldwide and recommends actions to ensure that you are protected. Viewing information about rapidly spreading threats
Network Detector | Lets you customize security settings for different networks. This makes it easy for mobile users who connect to the Internet from the road to stay protected at all times. Customizing protection for different locations
Internet Explorer toolbar | Lets you customize security settings for individual Web sites without leaving your browser. Use the Internet Explorer toolbar
Privacy Control | Gives you several levels of control over the kind of information that users can send via the Web, email, and instant messenger programs. Protecting your privacy
Alert Assistant | Helps you understand security issues, suggests how you can resolve problems, and advises you on avoiding future security problems. Learn more with the Alert Assistant
Parental Control | Lets parents choose the Web sites and newsgroups that their children can visit and the types of Internet programs that children can use. Controlling Internet use
Password protection | Protects Norton Internet Security options from unauthorized changes. Password protect Norton Internet Security options


CPDGlossary.html

CPDGlossary.html copyright 2004 Symantec